at.chipkarte.client.ebs.soap

## Class PruefenAdministrativeAntragsdatenErgebnis

- Object
- - at.chipkarte.client.ebs.soap.PruefenAdministrativeAntragsdatenErgebnis

-     public class PruefenAdministrativeAntragsdatenErgebnis
      extends Object

  Enthält die Rückgabewerte der Funktion `pruefenAdministrativeAntragsdaten`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PruefenAdministrativeAntragsdatenErgebnis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EkvkPatient` | `getEkvkPatient()` Daten eines Patienten mit EKVK Nummer.
    `String` | `getKvt()` KV-Träger bei dem der Patient versichert ist.
    `Leistungskatalog` | `getLeistungskatalog()` Ermittelter Leistungskatalog.
    `SvPersonV2` | `getSvPatient()` Daten eines Patienten mit SV-Nummer.
    `Partnerdaten` | `getVerordnerPartnerdaten()` Daten des Verordners (Vor- und Nachname, Titel, VPNR).
    `String` | `getVerordnerPartnerstatus()` Information ob der Vertragspartner bei der Antragserfassung als Vertrags- oder Wahlpartner auftritt (passender Vertrag oder kein passender Vertrag).
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setKvt(String kvt)`
    `void` | `setLeistungskatalog(Leistungskatalog leistungskatalog)`
    `void` | `setSvPatient(SvPersonV2 svPatient)`
    `void` | `setVerordnerPartnerdaten(Partnerdaten verordnerPartnerdaten)`
    `void` | `setVerordnerPartnerstatus(String verordnerPartnerstatus)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PruefenAdministrativeAntragsdatenErgebnis

          public PruefenAdministrativeAntragsdatenErgebnis()

  - ### Method Detail

    - #### getSvPatient

          public SvPersonV2 getSvPatient()

      Daten eines Patienten mit SV-Nummer.
      Angabe: Bedingt. Entweder svPatient oder ekvkPatient ist belegt.
      Returns:
        SvPersonV2.

    - #### setSvPatient

          public void setSvPatient(SvPersonV2 svPatient)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Daten eines Patienten mit EKVK Nummer. Siehe `EkvkPatient`.
      Angabe: Bedingt. Entweder svPatient oder ekvkPatient ist belegt.
      Returns:
        EkvkPatient.

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getKvt

          public String getKvt()

      KV-Träger bei dem der Patient versichert ist.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getLeistungskatalog

          public Leistungskatalog getLeistungskatalog()

      Ermittelter Leistungskatalog. Siehe `Leistungskatalog`.
      Angabe: Bedingt. Wird nur retourniert, wenn bei Aufruf der Funktion `pruefenAdministrativeAntragsdaten` der Parameter `keineVokErmittlung` mit `false` angegeben wurde.
      Returns:
        Leistungskatalog.

    - #### setLeistungskatalog

          public void setLeistungskatalog(Leistungskatalog leistungskatalog)

    - #### getVerordnerPartnerstatus

          public String getVerordnerPartnerstatus()

      Information ob der Vertragspartner bei der Antragserfassung als Vertrags- oder Wahlpartner auftritt (passender Vertrag oder kein passender Vertrag).
      Mögliche Werte siehe `PartnerstatusTypConstants`.
      Angabe: Muss.
      Returns:
        ErfasserPartnerstatus.

    - #### setVerordnerPartnerstatus

          public void setVerordnerPartnerstatus(String verordnerPartnerstatus)

    - #### getVerordnerPartnerdaten

          public Partnerdaten getVerordnerPartnerdaten()

      Daten des Verordners (Vor- und Nachname, Titel, VPNR). Siehe `Partnerdaten`.
      Angabe: Kann.
      Returns:
        verordnerPartnerdaten

    - #### setVerordnerPartnerdaten

          public void setVerordnerPartnerdaten(Partnerdaten verordnerPartnerdaten)